Loading...
Searching...
No Matches
Ogre::EntityMaterialLodChangedEvent Struct Reference
Core » Level of Detail

Struct containing information about a material LOD change event for entities. More...

`#include <OgreLodListener.h>`

## Public Attributes

Camera * | camera
| The camera with respect to which the level of detail has changed.
Real | lodValue
| LOD value as determined by LOD strategy.
ushort | newLodIndex
| New level of detail index.
ushort | previousLodIndex
| Previous level of detail index.
SubEntity * | subEntity
| The sub-entity whose material's level of detail has changed.

## Detailed Description

Struct containing information about a material LOD change event for entities.

## Member Data Documentation

## subEntity

SubEntity* Ogre::EntityMaterialLodChangedEvent::subEntity

The sub-entity whose material's level of detail has changed.

## camera

Camera* Ogre::EntityMaterialLodChangedEvent::camera

The camera with respect to which the level of detail has changed.

## lodValue

Real Ogre::EntityMaterialLodChangedEvent::lodValue

LOD value as determined by LOD strategy.

## previousLodIndex

ushort Ogre::EntityMaterialLodChangedEvent::previousLodIndex

Previous level of detail index.

## newLodIndex

ushort Ogre::EntityMaterialLodChangedEvent::newLodIndex

New level of detail index.

The documentation for this struct was generated from the following file:

- OgreLodListener.h